

export const search = async (q: string, page = 1) => {
    const yurikoEndpoint = 'https://search.blog.nanao.moe';
    const apiEndpoint = '/api/article/search?';
    const queryString = 'q=';
    const pageString = '&page=';

    const search = await fetch(
        `${yurikoEndpoint}${apiEndpoint}${queryString}${q}${pageString}${page}`
    );
    const result = await search.json();
    
    return result;
}